CacheConfig.GatewayHub (Apache Geode 2.0.2)
Description: declaration: package: org.apache.geode.cache.configuration, class: CacheConfig, class: GatewayHub

Package org.apache.geode.cache.configuration

# Class CacheConfig.GatewayHub

java.lang.Object
org.apache.geode.cache.configuration.CacheConfig.GatewayHub

Enclosing class:
  CacheConfig

public static class CacheConfig.GatewayHub extends Object
Java class for anonymous complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType>
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="gateway" maxOccurs="unbounded" minOccurs="0">
               <complexType>
                 <complexContent>
                   <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
                     <sequence>
                       <choice>
                         <element name="gateway-endpoint" maxOccurs="unbounded">
                           <complexType>
                             <complexContent>
                               <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
                                 <attribute name="host" use="required" type="{http://www.w3.org/2001/XMLSchema}string" />
                                 <attribute name="id" use="required" type="{http://www.w3.org/2001/XMLSchema}string" />
                                 <attribute name="port" use="required" type="{http://www.w3.org/2001/XMLSchema}string" />
                               </restriction>
                             </complexContent>
                           </complexType>
                         </element>
                         <element name="gateway-listener" maxOccurs="unbounded">
                           <complexType>
                             <complexContent>
                               <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
                                 <sequence>
                                   <element name="class-name" type="{http://geode.apache.org/schema/cache}class-name-type"/>
                                   <element name="parameter" type="{http://geode.apache.org/schema/cache}parameter-type" maxOccurs="unbounded" minOccurs="0"/>
                                 </sequence>
                               </restriction>
                             </complexContent>
                           </complexType>
                         </element>
                       </choice>
                       <element name="gateway-queue" minOccurs="0">
                         <complexType>
                           <complexContent>
                             <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
                               <attribute name="alert-threshold" type="{http://www.w3.org/2001/XMLSchema}string" />
                               <attribute name="batch-conflation" type="{http://www.w3.org/2001/XMLSchema}boolean" />
                               <attribute name="batch-size" type="{http://www.w3.org/2001/XMLSchema}string" />
                               <attribute name="batch-time-interval" type="{http://www.w3.org/2001/XMLSchema}string" />
                               <attribute name="enable-persistence" type="{http://www.w3.org/2001/XMLSchema}boolean" />
                               <attribute name="disk-store-name" type="{http://www.w3.org/2001/XMLSchema}string" />
                               <attribute name="roll-oplogs" type="{http://www.w3.org/2001/XMLSchema}boolean" />
                               <attribute name="maximum-queue-memory" type="{http://www.w3.org/2001/XMLSchema}string" />
                               <attribute name="overflow-directory" type="{http://www.w3.org/2001/XMLSchema}string" />
                             </restriction>
                           </complexContent>
                         </complexType>
                       </element>
                     </sequence>
                     <attribute name="early-ack" type="{http://www.w3.org/2001/XMLSchema}boolean" />
                     <attribute name="id" use="required" type="{http://www.w3.org/2001/XMLSchema}string" />
                     <attribute name="socket-buffer-size" type="{http://www.w3.org/2001/XMLSchema}string" />
                     <attribute name="socket-read-timeout" type="{http://www.w3.org/2001/XMLSchema}string" />
                     <attribute name="concurrency-level" type="{http://www.w3.org/2001/XMLSchema}string" />
                     <attribute name="order-policy" type="{http://www.w3.org/2001/XMLSchema}string" />
                   </restriction>
                 </complexContent>
               </complexType>
             </element>
           </sequence>
           <attribute name="id" use="required" type="{http://www.w3.org/2001/XMLSchema}string" />
           <attribute name="bind-address" type="{http://www.w3.org/2001/XMLSchema}string" />
           <attribute name="maximum-time-between-pings" type="{http://www.w3.org/2001/XMLSchema}string" />
           <attribute name="port" type="{http://www.w3.org/2001/XMLSchema}string" />
           <attribute name="socket-buffer-size" type="{http://www.w3.org/2001/XMLSchema}string" />
           <attribute name="startup-policy">
             <simpleType>
               <restriction base="{http://www.w3.org/2001/XMLSchema}string">
                 <enumeration value="primary"/>
                 <enumeration value="secondary"/>
                 <enumeration value="none"/>
               </restriction>
             </simpleType>
           </attribute>
           <attribute name="manual-start" type="{http://www.w3.org/2001/XMLSchema}boolean" />
           <attribute name="max-connections" type="{http://www.w3.org/2001/XMLSchema}integer" />
         </restriction>
       </complexContent>
     </complexType>

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static class`
  `CacheConfig.GatewayHub.Gateway`
  Java class for anonymous complex type.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected String`
  `bindAddress`
  `protected List<CacheConfig.GatewayHub.Gateway>`
  `gateways`
  `protected String`
  `id`
  `protected Boolean`
  `manualStart`
  `protected BigInteger`
  `maxConnections`
  `protected String`
  `maximumTimeBetweenPings`
  `protected String`
  `port`
  `protected String`
  `socketBufferSize`
  `protected String`
  `startupPolicy`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `GatewayHub()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getBindAddress()`
  Gets the value of the bindAddress property.
  `List<CacheConfig.GatewayHub.Gateway>`
  `getGateway()`
  Gets the value of the gateway property.
  `String`
  `getId()`
  Gets the value of the id property.
  `BigInteger`
  `getMaxConnections()`
  Gets the value of the maxConnections property.
  `String`
  `getMaximumTimeBetweenPings()`
  Gets the value of the maximumTimeBetweenPings property.
  `String`
  `getPort()`
  Gets the value of the port property.
  `String`
  `getSocketBufferSize()`
  Gets the value of the socketBufferSize property.
  `String`
  `getStartupPolicy()`
  Gets the value of the startupPolicy property.
  `Boolean`
  `isManualStart()`
  Gets the value of the manualStart property.
  `void`
  `setBindAddress(String value)`
  Sets the value of the bindAddress property.
  `void`
  `setId(String value)`
  Sets the value of the id property.
  `void`
  `setManualStart(Boolean value)`
  Sets the value of the manualStart property.
  `void`
  `setMaxConnections(BigInteger value)`
  Sets the value of the maxConnections property.
  `void`
  `setMaximumTimeBetweenPings(String value)`
  Sets the value of the maximumTimeBetweenPings property.
  `void`
  `setPort(String value)`
  Sets the value of the port property.
  `void`
  `setSocketBufferSize(String value)`
  Sets the value of the socketBufferSize property.
  `void`
  `setStartupPolicy(String value)`
  Sets the value of the startupPolicy property.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### gateways

    protected List<CacheConfig.GatewayHub.Gateway> gateways

  - ### id

    protected String id

  - ### bindAddress

    protected String bindAddress

  - ### maximumTimeBetweenPings

    protected String maximumTimeBetweenPings

  - ### port

    protected String port

  - ### socketBufferSize

    protected String socketBufferSize

  - ### startupPolicy

    protected String startupPolicy

  - ### manualStart

    protected Boolean manualStart

  - ### maxConnections

    protected BigInteger maxConnections

- ## Constructor Details

  - ### GatewayHub

    public GatewayHub()

- ## Method Details

  - ### getGateway

    public List<CacheConfig.GatewayHub.Gateway> getGateway()
    Gets the value of the gateway property.

    This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the gateway property.

    For example, to add a new item, do as follows:

         getGateway().add(newItem);

    Objects of the following type(s) are allowed in the list `CacheConfig.GatewayHub.Gateway`

    Returns:
      the `List` of `CacheConfig.GatewayHub.Gateway`s.

  - ### getId

    public String getId()
    Gets the value of the id property. possible object is `String`
    Returns:
      the ID.

  - ### setId

    public void setId(String value)
    Sets the value of the id property. allowed object is `String`
    Parameters:
      `value` - the ID.

  - ### getBindAddress

    public String getBindAddress()
    Gets the value of the bindAddress property. possible object is `String`
    Returns:
      the bind address.

  - ### setBindAddress

    public void setBindAddress(String value)
    Sets the value of the bindAddress property. allowed object is `String`
    Parameters:
      `value` - the bind address.

  - ### getMaximumTimeBetweenPings

    public String getMaximumTimeBetweenPings()
    Gets the value of the maximumTimeBetweenPings property. possible object is `String`
    Returns:
      the maximum time between pings.

  - ### setMaximumTimeBetweenPings

    public void setMaximumTimeBetweenPings(String value)
    Sets the value of the maximumTimeBetweenPings property. allowed object is `String`
    Parameters:
      `value` - the maximum time between pings.

  - ### getPort

    public String getPort()
    Gets the value of the port property. possible object is `String`
    Returns:
      the port value.

  - ### setPort

    public void setPort(String value)
    Sets the value of the port property. allowed object is `String`
    Parameters:
      `value` - the port number.

  - ### getSocketBufferSize

    public String getSocketBufferSize()
    Gets the value of the socketBufferSize property. possible object is `String`
    Returns:
      the socket buffer size.

  - ### setSocketBufferSize

    public void setSocketBufferSize(String value)
    Sets the value of the socketBufferSize property. allowed object is `String`
    Parameters:
      `value` - the socket buffer size.

  - ### getStartupPolicy

    public String getStartupPolicy()
    Gets the value of the startupPolicy property. possible object is `String`
    Returns:
      the startup policy.

  - ### setStartupPolicy

    public void setStartupPolicy(String value)
    Sets the value of the startupPolicy property. allowed object is `String`
    Parameters:
      `value` - the startup policy.

  - ### isManualStart

    public Boolean isManualStart()
    Gets the value of the manualStart property. possible object is `Boolean`
    Returns:
      true if manual start is enabled, false otherwise.

  - ### setManualStart

    public void setManualStart(Boolean value)
    Sets the value of the manualStart property. allowed object is `Boolean`
    Parameters:
      `value` - enables or disabled manual start.

  - ### getMaxConnections

    public BigInteger getMaxConnections()
    Gets the value of the maxConnections property. possible object is `BigInteger`
    Returns:
      the maximum number of connections.

  - ### setMaxConnections

    public void setMaxConnections(BigInteger value)
    Sets the value of the maxConnections property. allowed object is `BigInteger`
    Parameters:
      `value` - the maximum number of connections.